import type { PropType } from 'vue';
import type { UTable } from '../../../Types/componentsTypes/components';
import type { Button } from '../../../Types/components/button';
declare function defaultComparator<T>(a: T, z: T): boolean;
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: ArrayConstructor;
        default: null;
    };
    by: {
        type: (StringConstructor | FunctionConstructor)[];
        default: () => typeof defaultComparator;
    };
    rows: {
        type: PropType<{
            [key: string]: any;
            click?: Function | undefined;
        }[]>;
        default: () => never[];
    };
    columns: {
        type: PropType<{
            [key: string]: any;
            key: string;
            sortable?: boolean | undefined;
            direction?: "desc" | "asc" | undefined;
            class?: string | undefined;
        }[]>;
        default: null;
    };
    columnAttribute: {
        type: StringConstructor;
        default: string;
    };
    sort: {
        type: PropType<{
            column: string;
            direction: 'asc' | 'desc';
        }>;
        default: () => {};
    };
    sortButton: {
        type: PropType<Button>;
        default: () => {
            icon: string;
            trailing: boolean;
            square: boolean;
            color: string;
            intent: string;
            class: string;
        };
    };
    sortAscIcon: {
        type: StringConstructor;
        default: () => string;
    };
    sortDescIcon: {
        type: StringConstructor;
        default: () => string;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadingState: {
        type: PropType<{
            icon: string;
            label: string;
        }>;
        default: () => {
            icon: string;
            label: string;
        };
    };
    emptyState: {
        type: PropType<{
            icon: string;
            label: string;
        }>;
        default: () => {
            icon: string;
            label: string;
        };
    };
    classes?: {
        type: PropType<import("../../../Types/variant").CSSRawClassesList<UTable>>;
        default: undefined;
    } | undefined;
    base?: {
        type: PropType<import("../../../Types/variant").CSSRawClassesList<UTable>>;
        default: undefined;
    } | undefined;
    variants?: {
        type: PropType<import("../../../Types/variant").CSSRawClassesList<UTable>>;
        default: undefined;
    } | undefined;
    variant?: {
        type: PropType<string | string[] | undefined>;
        default?: string | undefined;
    } | undefined;
}, {
    attrs: any;
    variant: import("vue").ComputedRef<{
        transitions?: Record<string, Record<string, string>> | undefined;
    } & import("../../../Types/variant").CSSRawClassesList<UTable>>;
    wrapperClass: import("vue").ComputedRef<any>;
    sort: import("vue").Ref<{
        direction: string;
        column: string;
    }>;
    columns: import("vue").ComputedRef<{
        [key: string]: any;
        key: string;
        sortable?: boolean | undefined;
        direction?: "desc" | "asc" | undefined;
        class?: string | undefined;
    }[]>;
    rows: import("vue").ComputedRef<any>;
    selected: import("vue").WritableComputedRef<unknown[]>;
    indeterminate: import("vue").ComputedRef<boolean>;
    emptyState: import("vue").ComputedRef<{
        icon: string;
        label: string;
    }>;
    nuxtLabsTheme: {
        UAlert: {
            base: {
                root: string;
                title: string;
                description: string;
                shadow: string;
                rounded: string;
                padding: string;
                iconBase: string;
                avatarBase: string;
                avatarSize: string;
                color: {
                    white: {
                        solid: string;
                    };
                };
                intent: {
                    solid: string;
                    outline: string;
                    soft: string;
                    subtle: string;
                };
                default: {
                    color: string;
                    intent: string;
                    icon: null;
                    closeButton: null;
                    actionButton: {
                        size: string;
                        color: string;
                        variant: string;
                    };
                };
            };
            variants: {
                default: {
                    root: string;
                };
            };
        };
        UAccordion: {
            base: {
                root: string;
                itemBase: string;
                itemSize: string;
                itemColor: string;
                itemPadding: string;
                itemIcon: string;
                transitionEnterActiveClass: string;
                transitionLeaveActiveClass: string;
                default: {
                    openIcon: string;
                    closeIcon: string;
                    class: string;
                    intent: string;
                };
            };
            variants: {
                default: {
                    openIcon: string;
                    closeIcon: string;
                    class: string;
                    intent: string;
                };
            };
        };
        UAvatar: {
            base: {
                root: string;
                avatarRounded: string;
                avatarPlaceholderClass: string;
                avatarIconColor: string;
                '3xs': string;
                '2xs': string;
                xs: string;
                sm: string;
                md: string;
                lg: string;
                xl: string;
                '2xl': string;
                '3xl': string;
                avatarChipClass: string;
                avatarChipPosition: {
                    'top-right': string;
                    'bottom-right': string;
                    'top-left': string;
                    'bottom-left': string;
                };
                avatarIconSize: {
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                    '2xl': string;
                    '3xl': string;
                };
                avatarChipSize: {
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                    '2xl': string;
                    '3xl': string;
                };
            };
            variants: {
                default: {
                    root: string;
                    avatarRounded: string;
                    avatarPlaceholderClass: string;
                    avatarIconColor: string;
                };
            };
        };
        UAvatarGroup: {
            base: {
                root: string;
                avatarGroupMargin: string;
            };
            variants: {
                root: string;
                avatarGroupMargin: string;
            };
        };
        UBadge: {
            base: {
                base: string;
                rounded: string;
                font: string;
                size: {
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                };
                color: {
                    white: {
                        solid: string;
                    };
                    gray: {
                        solid: string;
                    };
                    black: {
                        solid: string;
                    };
                };
                intent: {
                    solid: string;
                    outline: string;
                    soft: string;
                    subtle: string;
                };
                default: {
                    size: string;
                    intent: string;
                    color: string;
                };
                variants: {
                    default: {
                        size: string;
                        intent: string;
                        color: string;
                    };
                    color: {
                        white: {
                            solid: string;
                        };
                        gray: {
                            solid: string;
                        };
                        black: {
                            solid: string;
                        };
                    };
                    intent: {
                        solid: string;
                        outline: string;
                        soft: string;
                        subtle: string;
                    };
                };
            };
        };
        UButton: {
            base: {
                root: string;
                font: string;
                rounded: string;
                block: string;
                normal: string;
                buttonLoading: string;
                buttonDisabled: string;
                truncate: string;
                size: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                gap: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                padding: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                square: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                color: {
                    white: {
                        solid: string;
                        ghost: string;
                    };
                    gray: {
                        solid: string;
                        ghost: string;
                        link: string;
                    };
                    black: {
                        solid: string;
                        link: string;
                    };
                };
                intent: {
                    solid: string;
                    outline: string;
                    soft: string;
                    ghost: string;
                    link: string;
                };
                icon: {
                    base: string;
                    size: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                        '2xl': string;
                    };
                };
                default: {
                    size: string;
                    intent: string;
                    color: string;
                    loadingIcon: string;
                };
            };
            variants: {
                default: {
                    intent: {
                        solid: string;
                        outline: string;
                        soft: string;
                        ghost: string;
                        link: string;
                    };
                };
            };
        };
        UButtonGroup: {
            base: {
                root: string;
            };
            variants: {
                horizontal: {
                    root: string;
                };
                vertical: {
                    root: string;
                };
            };
        };
        UCard: {
            base: {
                root: string;
                background: string;
                divide: string;
                ring: string;
                rounded: string;
                shadow: string;
                bodyBase: string;
                bodyBackground: string;
                bodyPadding: string;
                headerBase: string;
                headerBackground: string;
                headerPadding: string;
                footerBase: string;
                footerBackground: string;
                footerPadding: string;
            };
            variants: {
                default: {
                    root: string;
                };
            };
        };
        UCommandPalette: {
            base: {
                root: string;
                container: string;
                inputWrapper: string;
                inputBase: string;
                inputPadding: string;
                inputHeight: string;
                inputSize: string;
                inputIconBase: string;
                inputIconSize: string;
                inputIconPadding: string;
                inputCloseButton: string;
                emptyStateWrapper: string;
                emptyStateLabel: string;
                emptyStateQueryLabel: string;
                emptyStateIcon: string;
                groupWrapper: string;
                groupLabel: string;
                groupContainer: string;
                groupCommandBase: string;
                groupCommandActive: string;
                groupCommandInactive: string;
                groupCommandLabel: string;
                groupCommandPrefix: string;
                groupCommandSuffix: string;
                groupCommandContainer: string;
                groupCommandIconBase: string;
                groupCommandIconActive: string;
                groupCommandIconInactive: string;
                groupCommandSelectedIconBase: string;
                groupCommandAvatarBase: string;
                groupCommandAvatarSize: string;
                groupCommandChipBase: string;
                groupCommandDisabled: string;
                groupCommandShortcuts: string;
                groupActive: string;
                groupInactive: string;
                default: {
                    icon: string;
                    loadingIcon: string;
                    emptyState: {
                        icon: string;
                        label: string;
                        queryLabel: string;
                    };
                    closeButton: null;
                    selectedIcon: string;
                };
            };
            variants: {
                defaults: {
                    root: string;
                    default: {
                        icon: string;
                        loadingIcon: string;
                        emptyState: {
                            icon: string;
                            label: string;
                            queryLabel: string;
                        };
                        closeButton: null;
                        selectedIcon: string;
                    };
                };
            };
        };
        UContainer: {
            base: {
                root: string;
                padding: string;
                constrained: string;
            };
            variants: {
                default: {
                    root: string;
                };
            };
        };
        UContextMenu: {
            base: {
                root: string;
                container: string;
                width: string;
                background: string;
                shadow: string;
                rounded: string;
                ring: string;
                contextMenuBase: string;
                enterActiveClass: string;
                enterFromClass: string;
                enterToClass: string;
                leaveActiveClass: string;
                leaveFromClass: string;
                leaveToClass: string;
                popper: {
                    placement: string;
                    scroll: boolean;
                };
            };
            variants: {
                default: {
                    root: string;
                    container: string;
                    background: string;
                    ring: string;
                };
            };
        };
        UCheckbox: {
            base: {
                root: string;
                checkboxBase: string;
                rounded: string;
                checkBoxSpace: string;
                color: string;
                background: string;
                border: string;
                ring: string;
                label: string;
                required: string;
                help: string;
                default: {
                    color: string;
                };
            };
            variants: {
                default: {
                    color: string;
                    background: string;
                    border: string;
                    ring: string;
                    label: string;
                    required: string;
                    help: string;
                };
            };
        };
        UFormGroup: {
            base: {
                root: string;
                labelWrapper: string;
                labelBase: string;
                labelRequired: string;
                size: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                container: string;
                description: string;
                hint: string;
                help: string;
                error: string;
            };
            variants: {
                default: {
                    root: string;
                    labelWrapper: string;
                    labelBase: string;
                    labelRequired: string;
                    description: string;
                    hint: string;
                    help: string;
                    error: string;
                };
            };
        };
        UDropdown: {
            base: {
                root: string;
                container: string;
                width: string;
                height: string;
                inline: string;
                background: string;
                shadow: string;
                rounded: string;
                ring: string;
                dropdownBase: string;
                divide: string;
                padding: string;
                itemBase: string;
                itemRounded: string;
                itemPadding: string;
                itemSize: string;
                itemActive: string;
                itemInActive: string;
                itemDisabled: string;
                itemIconBase: string;
                itemIconActive: string;
                itemIconInActive: string;
                itemAvatarBase: string;
                itemAvatarSize: string;
                itemShortcuts: string;
                transition: {
                    enterActiveClass: string;
                    enterFromClass: string;
                    enterToClass: string;
                    leaveActiveClass: string;
                    leaveFromClass: string;
                    leaveToClass: string;
                };
                popper: {
                    placement: string;
                    strategy: string;
                };
            };
            variants: {
                default: {
                    root: string;
                    container: string;
                    width: string;
                    height: string;
                    background: string;
                };
            };
        };
        UIcon: {
            base: {
                root: string;
                normal: string;
                xs: string;
                sm: string;
                base: string;
                lg: string;
                xl: string;
                '2xl': string;
                '3xl': string;
                '4xl': string;
                '6xl': string;
                '8xl': string;
            };
            variants: {
                default: {
                    root: string;
                };
            };
        };
        UInput: {
            base: {
                root: string;
                inputBase: string;
                rounded: string;
                placeholder: string;
                size: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                gap: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                padding: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                leading: {
                    padding: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                };
                trailing: {
                    padding: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                };
                color: {
                    white: {
                        outline: string;
                    };
                    gray: {
                        outline: string;
                    };
                };
                intent: {
                    outline: string;
                    none: string;
                };
                icon: {
                    base: string;
                    color: string;
                    size: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                    leading: {
                        wrapper: string;
                        pointer: string;
                        padding: {
                            '2xs': string;
                            xs: string;
                            sm: string;
                            md: string;
                            lg: string;
                            xl: string;
                        };
                    };
                    trailing: {
                        wrapper: string;
                        pointer: string;
                        padding: {
                            '2xs': string;
                            xs: string;
                            sm: string;
                            md: string;
                            lg: string;
                            xl: string;
                        };
                    };
                };
                default: {
                    size: string;
                    color: string;
                    intent: string;
                    loadingIcon: string;
                };
            };
            variants: {
                default: {
                    root: string;
                    base: string;
                    size: string;
                    color: string;
                    intent: string;
                };
                color: {
                    white: {
                        outline: string;
                    };
                    gray: {
                        outline: string;
                    };
                };
                intent: {
                    outline: string;
                    none: string;
                };
            };
        };
        URadio: {
            base: {
                root: string;
                radioBase: string;
                color: string;
                background: string;
                border: string;
                ring: string;
                label: string;
                required: string;
                help: string;
                default: {
                    color: string;
                };
            };
            variants: {
                default: {
                    radioBase: string;
                    color: string;
                    background: string;
                    border: string;
                    ring: string;
                    label: string;
                    required: string;
                    help: string;
                };
            };
        };
        UKbd: {
            base: {
                root: string;
                padding: string;
                size: {
                    xs: string;
                    sm: string;
                    md: string;
                };
                rounded: string;
                font: string;
                background: string;
                ring: string;
                default: {
                    size: string;
                };
            };
            variants: {
                default: {
                    root: string;
                    padding: string;
                    background: string;
                    ring: string;
                };
            };
        };
        UModal: {
            base: {
                root: string;
                inner: string;
                container: string;
                padding: string;
                margin: string;
                widthScreen: string;
                heightScreen: string;
                roundedNone: string;
                marginNone: string;
                modalBase: string;
                overlayBase: string;
                overlayBackground: string;
                overlayEnterTransition: string;
                overlayEnterFrom: string;
                overlayEnterTo: string;
                overlayLeaveTransition: string;
                overlayLeaveFrom: string;
                overlayLeaveTo: string;
                background: string;
                ring: string;
                rounded: string;
                shadow: string;
                width: string;
                height: string;
                transitionEnter: string;
                transitionEnterFrom: string;
                transitionEnterTo: string;
                transitionLeave: string;
                transitionLeaveFrom: string;
                transitionLeaveTo: string;
            };
            variants: {
                default: {
                    root: string;
                    inner: string;
                    overlayBackground: string;
                    background: string;
                };
            };
        };
        UNotification: {
            base: {
                root: string;
                container: string;
                flexGap: string;
                flexTitle: string;
                notificationButtonDescription: string;
                flexDescription: string;
                flexDescriptionLength: string;
                title: string;
                description: string;
                background: string;
                shadow: string;
                rounded: string;
                padding: string;
                ring: string;
                iconBase: string;
                iconColor: string;
                avatarBase: string;
                avatarSize: string;
                progressBase: string;
                progressBackground: string;
                transitionEnterActiveClass: string;
                transitionEnterFromClass: string;
                transitionEnterToClass: string;
                transitionLeaveActiveClass: string;
                transitionLeaveFromClass: string;
                transitionLeaveToClass: string;
                default: {
                    color: string;
                    icon: null;
                    closeButton: {
                        icon: string;
                        color: string;
                        variant: string;
                        padded: boolean;
                    };
                    actionButton: {
                        size: string;
                        color: string;
                    };
                };
            };
            variants: {
                default: {
                    root: string;
                    title: string;
                    description: string;
                    background: string;
                    progressBackground: string;
                };
            };
        };
        UPagination: {
            base: {
                root: string;
                paginationBase: string;
                rounded: string;
                default: {
                    size: string;
                    activeButton: {
                        color: string;
                    };
                    inactiveButton: {
                        color: string;
                    };
                    prevButton: {
                        color: string;
                        class: string;
                        icon: string;
                    };
                    nextButton: {
                        color: string;
                        class: string;
                        icon: string;
                    };
                };
            };
            variants: {
                default: {
                    root: string;
                    paginationBase: string;
                    rounded: string;
                };
            };
        };
        UPopover: {
            base: {
                root: string;
                container: string;
                popover: string;
                width: string;
                background: string;
                shadow: string;
                rounded: string;
                ring: string;
                base: string;
                transitionEnterActiveClass: string;
                transitionEnterFromClass: string;
                transitionEnterToClass: string;
                transitionLeaveActiveClass: string;
                transitionLeaveFromClass: string;
                transitionLeaveToClass: string;
                popper: {
                    strategy: string;
                };
            };
            variants: {
                default: {
                    root: string;
                    container: string;
                };
                background: string;
                ring: string;
            };
        };
        URange: {
            base: {
                root: string;
                rangeBase: string;
                rounded: string;
                background: string;
                ring: string;
                progressBase: string;
                progressRounded: string;
                progressBackground: string;
                progress: {
                    size: {
                        sm: string;
                        md: string;
                        lg: string;
                    };
                };
                thumb: {
                    base: string;
                    color: string;
                    background: string;
                    ring: string;
                    size: {
                        sm: string;
                        md: string;
                        lg: string;
                    };
                };
                track: {
                    base: string;
                    background: string;
                    rounded: string;
                    size: {
                        sm: string;
                        md: string;
                        lg: string;
                    };
                };
                size: {
                    sm: string;
                    md: string;
                    lg: string;
                };
                default: {
                    size: string;
                    color: string;
                };
            };
            variants: {
                default: {
                    size: string;
                    color: string;
                    background: string;
                    ring: string;
                };
            };
        };
        USkeleton: {
            base: {
                root: string;
                background: string;
                rounded: string;
            };
            variants: {
                default: {
                    root: string;
                    background: string;
                };
            };
        };
        UTable: {
            base: {
                root: string;
                base: string;
                divide: string;
                thead: string;
                tbody: string;
                trBase: string;
                trSelected: string;
                trActive: string;
                thBase: string;
                thPadding: string;
                thColor: string;
                thFont: string;
                thSize: string;
                tdBase: string;
                tdPadding: string;
                tdColor: string;
                tdFont: string;
                tdSize: string;
                loadingStateWrapper: string;
                loadingStateLabel: string;
                loadingStateIcon: string;
                emptyStateWrapper: string;
                emptyStateLabel: string;
                emptyStateIcon: string;
                default: {
                    sortAscIcon: string;
                    sortDescIcon: string;
                    sortButton: {
                        icon: string;
                        trailing: boolean;
                        square: boolean;
                        color: string;
                        intent: string;
                        class: string;
                    };
                    loadingState: {
                        icon: string;
                        label: string;
                    };
                    emptyState: {
                        icon: string;
                        label: string;
                    };
                };
            };
            variants: {
                default: {
                    sortAscIcon: string;
                    sortDescIcon: string;
                    sortButton: {
                        icon: string;
                        trailing: boolean;
                        square: boolean;
                        color: string;
                        intent: string;
                        class: string;
                    };
                    loadingState: {
                        icon: string;
                        label: string;
                    };
                    emptyState: {
                        icon: string;
                        label: string;
                    };
                };
                divide: string;
                thead: string;
                tbody: string;
                trBase: string;
                trSelected: string;
                trActive: string;
                thBase: string;
                thPadding: string;
                thColor: string;
                thFont: string;
                thSize: string;
                tdBase: string;
                tdPadding: string;
                tdColor: string;
                tdFont: string;
                tdSize: string;
                loadingStateWrapper: string;
                loadingStateLabel: string;
                loadingStateIcon: string;
                emptyStateWrapper: string;
                emptyStateLabel: string;
                emptyStateIcon: string;
            };
        };
        UTabs: {
            base: {
                root: string;
                container: string;
                tabsBase: string;
                tabGrid: string;
                horizontalGrid: string;
                listBase: string;
                listBackground: string;
                listRounded: string;
                listShadow: string;
                listPadding: string;
                listHeight: string;
                listWidth: string;
                listMarkerWrapper: string;
                listMarkerBase: string;
                listMarkerBackground: string;
                listMarkerRounded: string;
                listMarkerShadow: string;
                listTabBase: string;
                listTabBackground: string;
                listTabActive: string;
                listTabInactive: string;
                listTabHeight: string;
                listTabPadding: string;
                listTabSize: string;
                listTabFont: string;
                listTabRounded: string;
                listTabShadow: string;
            };
            variants: {
                default: {
                    root: string;
                    container: string;
                    listTabActive: string;
                    listTabInactive: string;
                };
            };
        };
        UTextarea: {
            base: {
                root: string;
                textAreaBase: string;
                rounded: string;
                placeholder: string;
                size: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                gap: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                padding: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                leading: {
                    padding: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                };
                trailing: {
                    padding: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                };
                color: {
                    white: {
                        outline: string;
                    };
                    gray: {
                        outline: string;
                    };
                };
                intent: {
                    outline: string;
                    none: string;
                };
                iconBase: string;
                icon: {
                    color: string;
                    size: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                    leadingWrapper: string;
                    leadingPointer: string;
                    leading: {
                        padding: {
                            '2xs': string;
                            xs: string;
                            sm: string;
                            md: string;
                            lg: string;
                            xl: string;
                        };
                    };
                    trailingWrapper: string;
                    trailingPointer: string;
                    trailing: {
                        padding: {
                            '2xs': string;
                            xs: string;
                            sm: string;
                            md: string;
                            lg: string;
                            xl: string;
                        };
                    };
                };
                default: {
                    size: string;
                    color: string;
                    intent: string;
                };
            };
            variants: {
                default: {
                    size: string;
                    color: string;
                    intent: string;
                };
            };
        };
        UTooltip: {
            base: {
                root: string;
                container: string;
                width: string;
                toolTip: string;
                background: string;
                color: string;
                shadow: string;
                rounded: string;
                ring: string;
                toolTipBase: string;
                shortcuts: string;
                transitionEnterActiveClass: string;
                transitionEnterFromClass: string;
                transitionEnterToClass: string;
                transitionLeaveActiveClass: string;
                transitionLeaveFromClass: string;
                transitionLeaveToClass: string;
                popper: {
                    strategy: string;
                };
            };
            variants: {
                default: {
                    root: string;
                    container: string;
                    background: string;
                    color: string;
                    ring: string;
                };
            };
        };
        USelect: {
            base: {
                root: string;
                selectBase: string;
                rounded: string;
                placeholder: string;
                size: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                gap: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                padding: {
                    '2xs': string;
                    xs: string;
                    sm: string;
                    md: string;
                    lg: string;
                    xl: string;
                };
                leading: {
                    padding: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                };
                trailing: {
                    padding: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                };
                color: {
                    white: {
                        outline: string;
                    };
                    gray: {
                        outline: string;
                    };
                };
                intent: {
                    outline: string;
                    none: string;
                };
                iconBase: string;
                icon: {
                    color: string;
                    size: {
                        '2xs': string;
                        xs: string;
                        sm: string;
                        md: string;
                        lg: string;
                        xl: string;
                    };
                    leading: {
                        wrapper: string;
                        pointer: string;
                        padding: {
                            '2xs': string;
                            xs: string;
                            sm: string;
                            md: string;
                            lg: string;
                            xl: string;
                        };
                    };
                    trailing: {
                        wrapper: string;
                        pointer: string;
                        padding: {
                            '2xs': string;
                            xs: string;
                            sm: string;
                            md: string;
                            lg: string;
                            xl: string;
                        };
                    };
                };
                default: {
                    size: string;
                    color: string;
                    intent: string;
                    loadingIcon: string;
                    trailingIcon: string;
                };
            };
            variants: {
                default: {
                    size: string;
                    color: string;
                    intent: string;
                    loadingIcon: string;
                    trailingIcon: string;
                    iconBase: string;
                };
            };
        };
        USelectMenu: {
            base: {
                root: string;
                container: string;
                width: string;
                selectInput: string;
                component: string;
                selectMenuCursor: string;
                selectMenuFlex: string;
                truncate: string;
                blockTruncate: string;
                height: string;
                selectMenuBase: string;
                background: string;
                shadow: string;
                rounded: string;
                padding: string;
                ring: string;
                input: string;
                optionBase: string;
                optionRounded: string;
                optionPadding: string;
                optionSize: string;
                optionColor: string;
                optionContainer: string;
                optionActive: string;
                optionInactive: string;
                optionSelected: string;
                optionDisabled: string;
                optionEmpty: string;
                optionIconBase: string;
                optionIconActive: string;
                optionIconInactive: string;
                optionSelectedIconWrapper: string;
                optionSelectedIconPadding: string;
                optionSelectedIconBase: string;
                optionAvatarBase: string;
                optionAvatarSize: string;
                optionChipBase: string;
                transition: {
                    leaveActiveClass: string;
                    leaveFromClass: string;
                    leaveToClass: string;
                };
                popper: {
                    placement: string;
                };
                default: {
                    selectedIcon: string;
                };
            };
            variants: {
                default: {
                    selectedIcon: string;
                    optionColor: string;
                    optionActive: string;
                    optionDisabled: string;
                    optionEmpty: string;
                    optionIconActive: string;
                    optionIconInactive: string;
                    optionSelectedIconBase: string;
                };
            };
        };
        USlideover: {
            base: {
                root: string;
                overlayBase: string;
                overlayBackground: string;
                overlayEnterTransition: string;
                overlayEnterFrom: string;
                overlayEnterTo: string;
                justifyEnd: string;
                overlayLeaveTransition: string;
                overlayLeaveFrom: string;
                enterFromLeft: string;
                enterFromRight: string;
                enterToAndFrom: string;
                overlayLeaveTo: string;
                slideOverBase: string;
                background: string;
                ring: string;
                rounded: string;
                padding: string;
                shadow: string;
                width: string;
                transitionEnter: string;
                transitionLeave: string;
            };
            variants: {
                default: {
                    root: string;
                    overlayBase: string;
                    overlayBackground: string;
                    background: string;
                };
            };
        };
        UToggle: {
            base: {
                root: string;
                rounded: string;
                ring: string;
                active: string;
                inactive: string;
                containerBase: string;
                containerActive: string;
                containerInactive: string;
                iconBase: string;
                iconActive: string;
                iconInactive: string;
                iconOn: string;
                iconOff: string;
                default: {
                    onIcon: null;
                    offIcon: null;
                    color: string;
                };
            };
            variants: {
                default: {
                    iconBase: string;
                    iconActive: string;
                    iconInactive: string;
                    iconOn: string;
                    ring: string;
                    active: string;
                };
            };
        };
        UVerticalNavigation: {
            base: {
                root: string;
                verticalNavigationBase: string;
                ring: string;
                padding: string;
                width: string;
                rounded: string;
                font: string;
                size: string;
                active: string;
                inactive: string;
                label: string;
                iconBase: string;
                iconActive: string;
                iconInactive: string;
                avatarBase: string;
                avatarSize: string;
                badgeBase: string;
                badgeActive: string;
                badgeInActive: string;
            };
            variants: {
                default: {
                    root: string;
                };
            };
        };
        transitions: {
            scale: {
                'enter-active-class': string;
                'enter-from-class': string;
                'leave-active-class': string;
                'leave-to-class': string;
            };
            fade: {
                'enter-active-class': string;
                'enter-to-class': string;
                'enter-from-class': string;
                'leave-active-class': string;
                'leave-to-class': string;
                'leave-from-class': string;
            };
            slideLeft: {
                'enter-from-class': string;
                'leave-to-class': string;
                'enter-active-class': string;
                'leave-active-class': string;
            };
            slideRight: {
                'enter-from-class': string;
                'leave-to-class': string;
                'enter-active-class': string;
                'leave-active-class': string;
            };
        };
    };
    isSelected: (row: any) => boolean;
    onSort: (column: {
        key: string;
        direction?: 'asc' | 'desc';
    }) => void;
    onSelect: (row: any) => void;
    onChange: (event: any) => void;
    getRowData: (row: object, rowKey: string | string[], defaultValue?: any) => any;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: ArrayConstructor;
        default: null;
    };
    by: {
        type: (StringConstructor | FunctionConstructor)[];
        default: () => typeof defaultComparator;
    };
    rows: {
        type: PropType<{
            [key: string]: any;
            click?: Function | undefined;
        }[]>;
        default: () => never[];
    };
    columns: {
        type: PropType<{
            [key: string]: any;
            key: string;
            sortable?: boolean | undefined;
            direction?: "desc" | "asc" | undefined;
            class?: string | undefined;
        }[]>;
        default: null;
    };
    columnAttribute: {
        type: StringConstructor;
        default: string;
    };
    sort: {
        type: PropType<{
            column: string;
            direction: 'asc' | 'desc';
        }>;
        default: () => {};
    };
    sortButton: {
        type: PropType<Button>;
        default: () => {
            icon: string;
            trailing: boolean;
            square: boolean;
            color: string;
            intent: string;
            class: string;
        };
    };
    sortAscIcon: {
        type: StringConstructor;
        default: () => string;
    };
    sortDescIcon: {
        type: StringConstructor;
        default: () => string;
    };
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    loadingState: {
        type: PropType<{
            icon: string;
            label: string;
        }>;
        default: () => {
            icon: string;
            label: string;
        };
    };
    emptyState: {
        type: PropType<{
            icon: string;
            label: string;
        }>;
        default: () => {
            icon: string;
            label: string;
        };
    };
    classes?: {
        type: PropType<import("../../../Types/variant").CSSRawClassesList<UTable>>;
        default: undefined;
    } | undefined;
    base?: {
        type: PropType<import("../../../Types/variant").CSSRawClassesList<UTable>>;
        default: undefined;
    } | undefined;
    variants?: {
        type: PropType<import("../../../Types/variant").CSSRawClassesList<UTable>>;
        default: undefined;
    } | undefined;
    variant?: {
        type: PropType<string | string[] | undefined>;
        default?: string | undefined;
    } | undefined;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    sort: {
        column: string;
        direction: 'asc' | 'desc';
    };
    loading: boolean;
    modelValue: unknown[];
    by: string | Function;
    rows: {
        [key: string]: any;
        click?: Function | undefined;
    }[];
    columns: {
        [key: string]: any;
        key: string;
        sortable?: boolean | undefined;
        direction?: "desc" | "asc" | undefined;
        class?: string | undefined;
    }[];
    columnAttribute: string;
    sortButton: Button;
    sortAscIcon: string;
    sortDescIcon: string;
    loadingState: {
        icon: string;
        label: string;
    };
    emptyState: {
        icon: string;
        label: string;
    };
}, {}>;
export default _default;
